Bug 511123 - sipwitch-php-swig broken in rawhide
sipwitch-php-swig broken in rawhide
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sipwitch (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: David Sugar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-13 15:26 EDT by Remi Collet
Modified: 2010-12-05 01:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:43:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2009-07-13 15:26:08 EDT
After PHP 5.3.0 update :

1/ There is no ABI check for PHP version, so sipwitch-php-swig install, but fails to load

$ php -v -d extension=sipwitch.so
PHP Warning:  PHP Startup: sipwitch: Unable to initialize module
Module compiled with module API=20060613
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0

ABI check Added in CVS

2/ no php configuration script provided

/etc/php.d/sipwitch.ini added in CVS


With this change, build is OK, but extension fails to load :

$ PHP Warning:  Function registration failed - duplicate name - count in Unknown on line 0
PHP Warning:  sipwitch: Unable to register functions, unable to load in Unknown on line 0
Abandon

This need more work (perhaps bug is known/fixed by upstream)
Comment 1 David Sugar 2009-07-13 16:14:13 EDT
It's been a little while since I last played with php, but this is not a previously known of bug upstream.  Maybe we will need a 0.5.7 :).
(In reply to comment #0)
Comment 2 Bug Zapper 2009-11-16 05:49:14 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-11-04 06:48:15 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 David Sugar 2010-11-04 09:32:32 EDT
I appreciate all bug reports.  All swig interfaces were depreciated in later releases of the package and hence are not actively maintained.  I think it would be correct to label this as wontfix when F12 eol's.  Alternately we could post a new update of F12 sipwitch that simply no longer builds the swig subpackages at all, which would be consistent with later releases.  I will keep this open as is long enough to see if there is any further feedback, and if it closes in 30 days as wontfix, this is fine also.
Comment 5 Bug Zapper 2010-12-05 01:43:31 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.